Skip to main content
PATCH
/
v2
/
properties
/
contacts
/
{key}
Update contact property
curl --request PATCH \
  --url https://api.telli.com/v2/properties/contacts/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "description": "<string>",
  "options": [
    {
      "value": "<string>",
      "label": "<string>",
      "description": "<string>"
    }
  ]
}
'
{
  "type": "<unknown>",
  "key": "<string>",
  "label": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "options": [
    {
      "value": "<string>",
      "label": "<string>",
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.telli.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Use your telli API key as the bearer token.

Path Parameters

key
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$

Body

application/json
label
string
Minimum string length: 1
description
string | null
options
object[]

Only applicable for select and multi_select data types

Response

OK

type
any
required
key
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
dataType
enum<string>
required
Available options:
string,
number,
boolean,
date,
datetime,
select,
multi_select,
phone_number,
email
source
enum<string>
required
Available options:
system,
user,
integration
label
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string
options
object[]

Only applicable for select and multi_select data types